%--------------------------------------------------------------------------
% SECTION 2: Interpreting Regression Resutls 
%--------------------------------------------------------------------------
    
s_start1 = '15/07/1926';
s_end1   = '15/06/2014';
date_find1=datenum([s_start1; s_end1],'dd/mm/yyyy'); % Lookup row number
ss1=datefind(date_find1(1,1),date); % Sample Start (First Raw)
se1=datefind(date_find1(2,1),date); % Sample End (Last Raw)
obs = se1-ss1+1; % Number of observations within Sample

clear y1_bl y2_bl y1_al y2_al ym u1 u2 
reps=1;
y1_bl=NaN(obs,reps);
y2_bl=NaN(obs,reps);
y1_al=NaN(obs,reps);
y2_al=NaN(obs,reps);
ym_bl=NaN(obs,reps);
ym_al=NaN(obs,reps);
shock=zeros(obs,reps);
u1=NaN(obs,reps);
u2=NaN(obs,reps);
beta1=NaN(1,reps);
beta2=NaN(1,reps);
X=NaN(obs,1);
% X(:,1)=ones;
% seting parameters 
beta=0.8;
mean_m = mean(ER_MKT(ss1:se1));
sd_m=std(ER_MKT(ss1:se1)); 
sd_1=0.09;
sd_2=0.005;
shock(343,:)=0.2;

% Artificial series:
u1=normrnd(0,1,obs,reps);
u2=normrnd(0,1,obs,reps);
 for j=1:reps  
for i=1:obs
ym_bl(i,j)=mean_m+sd_m*u2(i,j); 
y1_bl(i,j)=beta*(ym_bl(i,j)-mean_m)+sd_1*u1(i,j);
y2_bl(i,j)=beta*(ym_bl(i,j)-mean_m)+sd_2*u1(i,j);
ym_al(i,j)=mean_m+sd_m*u2(i,j)+shock(i,j); 
y1_al(i,j)=beta*(ym_al(i,j)-mean_m)+sd_1*u1(i,j);
y2_al(i,j)=beta*(ym_al(i,j)-mean_m)+sd_2*u1(i,j);

end
% Regression
X(:,1)=ym_bl(:,j);
reg1=ols(y1_bl(:,j), X(:,:));
beta1(1,j)=reg1.beta(1);
reg2=ols(y2_bl(:,j), X(:,:));
beta2(1,j)=reg1.beta(1);
 end
 vnames=strvcat('y1','ym');
 prt_reg(reg1,vnames);
 vnames=strvcat('y2','ym');
 prt_reg(reg2,vnames);
 
s_start1 = '15/01/1950';
s_end1   = '15/01/1960';
date_find1=datenum([s_start1; s_end1],'dd/mm/yyyy'); % Lookup row number
ss1=datefind(date_find1(1,1),date); % Sample Start (First Raw)
se1=datefind(date_find1(2,1),date); % Sample End (Last Raw)
 
% Plot simulation 
 figure;
 subplot(3,1,1),
  h1=plot(t(ss1:se1)',ym_bl(ss1:se1,1),t(ss1:se1)',ym_al(ss1:se1,1),'-','LineWidth',1);
title(' Simulated Market Excess Returns ','fontname','times','fontangle','italic','fontsize',18);
   set(gca,'fontname','times','fontangle','italic','fontsize',12,'gridlinestyle',':');
   index=ss1:12:se1;
set(gca,'fontname','garamond','fontsize',10);
set(gca,'xtick',index);
set(gca,'xticklabel','1950|1951|1952|1953|1954|1955|1956|1957|1958|1959|1960');
set(gca,'xlim',[ss1 se1]);
grid;
set(gcf,'color','w');
h=legend('Baseline','Alternate',1);
subplot(3,1,2),
  h1=plot(t(ss1:se1)',y1_bl(ss1:se1,1),t(ss1:se1)',y1_al(ss1:se1,1),'-','LineWidth',1);
title(' Simulated Asset 1 Excess Returns ','fontname','times','fontangle','italic','fontsize',18);
   set(gca,'fontname','times','fontangle','italic','fontsize',12,'gridlinestyle',':');
   index=ss1:12:se1;
set(gca,'fontname','garamond','fontsize',10);
set(gca,'xtick',index);
set(gca,'xticklabel','1950|1951|1952|1953|1954|1955|1956|1957|1958|1959|1960');
set(gca,'xlim',[ss1 se1]);
grid;
set(gcf,'color','w');
h=legend('Baseline','Alternate',1);
subplot(3,1,3),
  h1=plot(t(ss1:se1)',y2_bl(ss1:se1,1),t(ss1:se1)',y2_al(ss1:se1,1),'-','LineWidth',1);
title(' Simulated Asset 2 Excess Returns ','fontname','times','fontangle','italic','fontsize',18);
   set(gca,'fontname','times','fontangle','italic','fontsize',12,'gridlinestyle',':');
   index=ss1:12:se1;
set(gca,'fontname','garamond','fontsize',10);
set(gca,'xtick',index);
set(gca,'xticklabel','1950|1951|1952|1953|1954|1955|1956|1957|1958|1959|1960');
set(gca,'xlim',[ss1 se1]);
grid;
set(gcf,'color','w');
h=legend('Baseline','Alternate',1);
 