%--------------------------------------------------------------------------
% SECTION 3: Misspecification Analysis  
%--------------------------------------------------------------------------
    
s_start1 = '15/01/1962';
s_end1   = '15/06/2014';
date_find1=datenum([s_start1; s_end1],'dd/mm/yyyy'); % Lookup row number
ss1=datefind(date_find1(1,1),date); % Sample Start (First Raw)
se1=datefind(date_find1(2,1),date); % Sample End (Last Raw)
obs = se1-ss1+1; % Number of observations within Sample

% Regression
clear X
X=NaN(rows(ER_15),2);
X(ss1:se1,1)=ones;
X(ss1:se1,2)=ER_MKT(ss1:se1,:);
reg_capm15=ols(ER_15(ss1:se1,:), X(ss1:se1,:));
reg_capm51=ols(ER_51(ss1:se1,:), X(ss1:se1,:));
 vnames=strvcat('ER_15','Constant','ER_MKT');
prt_reg(reg_capm15,vnames);
 vnames=strvcat('ER_51','Constant','ER_MKT');
 prt_reg(reg_capm51,vnames);
 
clear X 
X=NaN(rows(ER_15),5);
X(ss1:se1,1)=ones;
X(ss1:se1,2)=ER_MKT(ss1:se1,:); 
X(ss1:se1,3)=R_SMB(ss1:se1,:); 
X(ss1:se1,4)=R_HML(ss1:se1,:);
X(ss1:se1,5)=R_MOM(ss1:se1,:);

reg_ff15=ols(ER_15(ss1:se1,:), X(ss1:se1,:));
vnames=strvcat('ER_15','Constant','ER_MKT','R_SMB','R_HML','R_MOM');
prt_reg(reg_ff15,vnames);
reg_ff51=ols(ER_51(ss1+7:se1,:), X(ss1+7:se1,:));
vnames=strvcat('ER_51','Constant','ER_MKT','R_SMB','R_HML','R_MOM');
prt_reg(reg_ff51,vnames);

 